# Community

The PowerToys team is extremely grateful to have the support of an amazing active community.  The work you do is incredibly important.  PowerToys wouldn’t be near what it is without your help filing bugs, updating documentation, guiding the design, or writing features.  We want to say thanks and to recognize your work.  This is a living document dedicated to highlighting the high impact community members and their contributions.

Names are in alphabetical order based on first name.

## High impact community members

### [@davidegiacometti](https://github.com/davidegiacometti) - [Davide Giacometti](https://www.linkedin.com/in/davidegiacometti/)
Davide has helped fix multiple bugs, added new features, as well as help us with the ARM64 effort by porting applications to .NET Core.

### [@jsoref](https://github.com/jsoref) - [Josh Soref](https://check-spelling.dev/)
Helping keep our spelling correct :)

### [@Niels9001](https://github.com/niels9001/) - [Niels Laute](https://nielslaute.com/)

Niels has helped drive large sums of our update toward a new [consistent and modern UX](https://github.com/microsoft/PowerToys/issues/891). This includes the [launcher work](https://github.com/microsoft/PowerToys/issues/44), color picker UX update and [icon design](https://github.com/microsoft/PowerToys/issues/1118).

### [@riverar](https://github.com/riverar) - [Rafael Rivera](https://withinrafael.com/)

Rafael has helped do the [upgrade from CppWinRT 1.x to 2.0](https://github.com/microsoft/PowerToys/issues/1907).  He directly provided feedback to the CppWinRT team for bugs from this migration as well.

### [@royvou](https://github.com/royvou)
Roy has helped out contributing multiple features to PowerToys Run

### [@TobiasSekan](https://github.com/TobiasSekan) - Tobias Sekan
Tobias Sekan has helped out contributing features to PowerToys Run such as Settings plugin, Registry plugin

### [@ThiefZero](https://github.com/ThiefZero)
ThiefZero has helped out contributing a features to PowerToys Run such as the unit converter plugin

## Open source projects

As PowerToys creates new utilities, some will be based off existing technology. We'll continue to do our best to contribute back to these projects but their efforts were the base of some of our projects. We want to be sure their work is directly recognized.

### [@jjw24](https://github.com/jjw24/) - Jeremy Wu

Their fork of Wox was the base of PowerToys Run.

### [WoX Launcher](https://github.com/Wox-launcher/Wox/)

Initial base of jjw24's fork, which makes it the base of PowerToys Run.

## Microsoft community members

We would like to also directly call out some extremely helpful Microsoft employees that have directly contributed to PowerToys. This isn't their day job and was work they did out of passion. We want to say thank you and recognize your work.

### [@betsegaw](https://github.com/betsegaw/) - [Betsegaw Tadele](http://www.dreamsofameaningfullife.com/)

Window Walker, inside PowerToys Run, is from Beta.  

### [@TheMrJukes](https://github.com/TheMrJukes/) - Bret Anderson

The base of FancyZones and a lot of performance adjustments are from the hard work of Bret.

### [@bricelam](https://github.com/bricelam/) - [Brice Lambson](https://bricelam.net/)

Image Resizer is from Brice.

### [@chrdavis](https://github.com/chrdavis/) - Chris Davis

PowerRename is from Chris's SmartRename and icon rendering for SVGs in File Explorer

### [@dend](https://github.com/dend/) - Den Delimarsky

PowerToys Awake is a tool to keep your computer awake.

### [@martinchrzan](https://github.com/martinchrzan/) - Martin Chrzan

Color Picker is from Martin.

### Microsoft InVEST team

This amazing team helped PowerToys develop PowerToys Run and Keyboard manager as well as update our Settings to v2.  @alekhyareddy28, @arjunbalgovind, @jyuwono @laviusmotileng-ms, @ryanbodrug-microsoft, @saahmedm, @somil55, @traies, @udit3333
